%define tarfile perl
Summary: Perl module for Ruby
Name: ruby-perl
Version: 0.2.9
Release: 1
License: public domain
Group: Applications/Ruby
Source: http://www.yoshidam.net/%{tarfile}-%{version}.tar.gz
URL: http://www.yoshidam.net/Ruby.html#perl
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby, perl
Requires: ruby, perl

%description
This is a module to call Perl functions from Ruby programs.

%prep
%setup -n %{tarfile}

%build
ruby extconf.rb
make
cd Ruby
perl Makefile.PL
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} install
find samples -type f -print | \
	xargs ruby -i -pe 'sub("/usr/local/bin/ruby", "/usr/bin/ruby")'
pushd Ruby
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
popd
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README*
%doc -P samples/

%changelog
* Thu Apr  4 2002 Ian Macdonald <ian@caliban.org>
- 0.2.9

* Wed Mar 13 2002 Ian Macdonald <ian@caliban.org>
- 0.6.0

* Mon Jan  7 2002 Ian Macdonald <ian@caliban.org>
- 0.5.0
